### Method

# Gimp Pattern get_info

since: 2.2

#### Declaration [src]

    gboolean
    gimp_pattern_get_info (
      GimpPattern* pattern,
      gint* width,
      gint* height,
      gint* bpp
    )

#### Description [src]

Gets information about the pattern.

Gets information about the pattern: the pattern extents (width and height) and bytes per pixel.

Available since: 2.2

#### Parameters

`width`

  Type: `gint*`

  The pattern width.

  The argument will be set by the function.

`height`

  Type: `gint*`

  The pattern height.

  The argument will be set by the function.

`bpp`

  Type: `gint*`

  The pattern bpp.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.